#include <XBee.h>

#define XBEE_UART1

XBee xbee = XBee();

uint8_t payload[80];

char data[6]="hello";

void setup() {
  
  Serial.begin(38400);
  Serial.println("Arduino. Will send packets.");
  
#ifdef XBEE_UART1
  xbee.setSerial(Serial1);
  // Inits the XBee 802.15.4 library
  Serial1.begin(38400);
#else        
  xbee.begin(38400);
#endif  
}

void loop() {
  
  delay(5000);
    
  // 64-bit addressing: This is the SH + SL address of remote XBee
  XBeeAddress64 addr64 = XBeeAddress64(0x00000000, 0x0000FFFF);
  // unless you have MY on the receiving radio set to FFFF, this will be received as a RX16 packet
  
  for (int i; i<sizeof(data); i++)
    payload[i]=(uint8_t)data[i];
  
  // in this way, we know the exact size of the payload
  Tx64Request tx = Tx64Request(addr64, (uint8_t*)data, sizeof(data));
  
  // Send your request
  xbee.send(tx);

  TxStatusResponse txStatus = TxStatusResponse();
  
    // read incoming pkt, mainly to get the transmit status
  xbee.readPacket();

        if (xbee.getResponse().isAvailable()) {        
                // is it a response to the previously sent packet?            	
    	        if (xbee.getResponse().getApiId() == TX_STATUS_RESPONSE) {
                    
                      
    	              xbee.getResponse().getTxStatusResponse(txStatus);	  
                
                      if (txStatus.isSuccess()) {
                            Serial.println("Send successful");
                      } else
                        Serial.println("Send failed");
                        
                }
        }              
}
